<?php

/**
 * com_dmenu
 *
 * @version 1.0
 * @author Creative Pulse
 * @copyright Creative Pulse 2011
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @link http://www.creativepulse.eu
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );


function gpc_unquote($input) {
	if (is_array($input)) {
		return array_map('gpc_unquote', $input);
	}
	else if (is_string($input)) {
		return stripslashes($input);
	}
	else {
		return $input;
	}
}
if (get_magic_quotes_gpc()) {
	$_POST = gpc_unquote($_POST);
}

define('DMENU_JS_SESSION_KEY', JUtility::getHash('dmenu_js_session'));

$db =& JFactory::getDBO();

JSubMenuHelper::addEntry(JText::_('Data input'), 'index.php?option=' . $option);
JSubMenuHelper::addEntry(JText::_('Help'), 'index.php?option=' . $option . '&task=help');

$task_fmt = dirname(__FILE__) . '/tasks/%s.php';
$task = JRequest::getCmd('task');
if (!file_exists(sprintf($task_fmt, $task))) {
	$task = 'input';
}

require(sprintf($task_fmt, $task));

?>